Check out LoaderIsNoMore on GitHub: https://github.com/bbborbo/LoaderNoMore

Join the discord server: https://discord.gg/baxZ2vgxdh

Try out our video game, SUPERBUG: https://plumicorn.itch.io/SUPERBUG


[![](https://media.discordapp.net/attachments/774004807035256845/929864959771422761/unknown.png)]()

## How To Use

With LoaderIsNoMore, you can remove any survivor or skill of your choosing. You only need to know the survivor's body name to remove skills and name token to remove the survivor. You must do so through the config file for LoaderIsNoMore, in which there are two fields you can type into. Just list off the properly formatted + spelled strings for each respective field, and the mod will automatically remove the skill/survivor of your choosing the next time the game is ran.

Skills are removed by pulling apart a string of multiple different names. In order for the mod to work, you need to include the survivor's BODY NAME, then the SKILL SLOT name, then the skill's number in that slot, starting from 0. For example, if I wanted to remove Artificer's Ion Surge and MUL-T's Power Mode, I would type it into the config as such:
```
MageBody_Special_1, ToolBotBody_Special_1
```

Survivors are removed just by matching the survivor's name token. All you have to do for the mod to work is to list the name tokens of the survivors you would like to have removed. For example, if I wish to remove vanilla Loader and LuaFubuki's Loader2 pre-0.2.0, I would type it into the config as such:
```
LOADER_BODY_NAME, Loader-2
```

For both strings, spaces are ignored, and dashes are then converted into spaces. If this doesn't work for some survivors or skills, just let me know, and I can have it fixed.

## Vanilla Survivor Info

| Survivor | Body Name | Name Token |
|:-|---|---|
|![Commando](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/5/50/Commando.png/revision/latest/scale-to-width-down/128?cb=20200129200647) | CommandoBody | COMMANDO_BODY_NAME |
|![Huntress](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/6/6f/Huntress.png/revision/latest/scale-to-width-down/128?cb=20200129200650) | HuntressBody | HUNTRESS_BODY_NAME |
|![Bandit](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/1/1f/Bandit.png/revision/latest/scale-to-width-down/128?cb=20210326045945) | Bandit2Body | BANDIT2_BODY_NAME |
|![MUL-T](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/6/6f/MUL-T.png/revision/latest/scale-to-width-down/128?cb=20200129200652) | ToolbotBody | TOOLBOT_BODY_NAME |
|![Engineer](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/d/d8/Engineer.png/revision/latest/scale-to-width-down/128?cb=20200129200649) | EngiBody | ENGI_BODY_NAME |
|![Artificer](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/98/Artificer.png/revision/latest/scale-to-width-down/128?cb=20200129200643) | MageBody | MAGE_BODY_NAME |
|![Mercenary](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/0/00/Mercenary.png/revision/latest/scale-to-width-down/128?cb=20200129200651) | MercBody | MERCENARY_BODY_NAME |
|![REX](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/74/REX.png/revision/latest/scale-to-width-down/128?cb=20200129200652) | TreebotBody | TREEBOT_BODY_NAME |
|![Loader](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/2/25/Loader.png/revision/latest/scale-to-width-down/128?cb=20200129235338) | LoaderBody | LOADER_BODY_NAME |
|![Acrid](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/8/8e/Acrid.png/revision/latest/scale-to-width-down/128?cb=20200129235326) | AcridBody | ACRID_BODY_NAME |
|![Captain](https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/a/a9/Captain.png/revision/latest/scale-to-width-down/128?cb=20200811155443) | CaptainBody | CAPTAIN_BODY_NAME |

# Patch Notes:
### 2.0.2
- Minor change to skill removal to ensure that it always happens after all skill slots have stopped being modified.

### 2.0.1
- Minor README formatting improvements

### 2.0.0
- Can now remove any skill or survivor

### 1.0.1
- Improved Loader Removal